Subject: Re: How to include just some subdirectory excluding all envelop tree

From: Olga Pshenichnikova <[email-masked]>
Date: Tue, 8 Mar 2016 00:14:07 +0300

Thank you very much!
The exclamation mark solves my problem.
I can not create repository inside /a, because I need control /b also )

On 03/08/2016 12:06 AM, Kevin Daudt wrote:
> On Mon, Mar 07, 2016 at 10:01:52PM +0300, Olga Pshenichnikova wrote:
>> I have some tree structure:
>>
>> /a
>> /a/a
>> /a/b
>> ..
>> /a/z
>> /b
>> .. (thousands of folders)
>> /z
>>
>> How can I control just /a/a folder?
>> What exclude file should be?
>>
>> The way we use now is:
>>
>> /a/*
>> /b/
>> .. (thousands of folders)
>> /z/
>> !/a/a
>>
>> But it is very not nice looking and hard for maintenance...
> Don't know your usecase, but isn't it easier to just create the repository
> in /a/a? Then you won't have to exlude anything.
>
> If you must, you can just use something like:
>
>   *
>   !/a
>   /a/*
>   !/a/a